# Copyright (c) 2001-2003  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

# $Ringlet: c/misc/unquote/Makefile.inc,v 1.11 2004/12/31 15:44:51 roam Exp $

PROG=		unquote

SRCS=		main.c unquote.c uq_err.c

VERPFX=		UQ
UQ_VER_MAJ=	1
UQ_VER_MIN=	0
UQ_VER_PRE=	0
UQ_VER_PATCH=	0

CC?=		gcc
CFLAGS_WARN=	-Wall -W -Wstrict-prototypes -Wmissing-prototypes \
		-Wwrite-strings \
		#${BDECFLAGS}
WARNS?=		2
WARNS_WERROR?=	yes
CFLAGS_INC=	-I. -I.. -I/usr/local/include
# CFLAGS_OPT and CFLAGS_DBG must be defined in OS-dependent Makefiles
CFLAGS_MISC=	-D_GNU_SOURCE

CFLAGS_VER=	-DUQ_VER_MAJ=${UQ_VER_MAJ} \
		-DUQ_VER_MIN=${UQ_VER_MIN} \
		-DUQ_VER_PRE=${UQ_VER_PRE} \
		-DUQ_VER_PATCH=${UQ_VER_PATCH} \
		-DUQ_OS=\"${CFLAGS_OS_VER}\" \
		-DUQ_OSREL=\"${CFLAGS_OS_REL}\" \
		-DUQ_OSHOST=\"${CFLAGS_OS_HOST}\"

CFLAGS?=	${CFLAGS_WARN} ${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_INC} ${CFLAGS_OS} ${CFLAGS_VER} ${CFLAGS_MISC}

LDADD=

PREFIX?=	/usr/local
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man

RM?=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env
COMPRESS_CMD?=	gzip -cn
